Pave Bank
Sandbox/Simulate RFI

Create RFI

Create a new Request for Information (RFI) for testing purposes.

This endpoint is only available in our sandbox environment. It is not available in production.

Use this endpoint to create RFIs in sandbox mode, simulating the compliance workflow where Pave Bank requests additional information about an account or transaction.

Example Request

curl --request POST \
  --url https://developer-api-staging.pavebank.dev/v1/sandbox/rfis \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "type": "transaction",
    "related_id": "transaction_xyz123",
    "description": "Compliance verification required",
    "questions": [
      {
        "question_type": "transaction.purpose",
        "question_data": {
          "question_text": "What is the purpose of this transaction?",
          "comment": "You may include document(s) if needed.",
          "document_ids": ["<DOCUMENT_ID_1>", "<DOCUMENT_ID_2>"]
        }
      }
    ]
  }'
POST
/v1/sandbox/rfis

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
typeRequiredstring

The type of RFI

Value in: "transaction" | "account" | "nominal_sub_account" | "nominal_sub_account_opening"
related_idRequiredstring

The ID of the related entity. Must start with 'transaction_' when type is 'transaction', or 'account_' when type is 'account'.

descriptionstring

A description of why the RFI is being raised

questionsarray<object>

Array of questions to include in the RFI

Response Body

idRequiredstring

The unique identifier of the RFI

curl -X POST "https://developer-api-staging.pavebank.dev/v1/sandbox/rfis" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "transaction",
    "related_id": "transaction_xyz123",
    "description": "Compliance verification required",
    "questions": [
      {
        "question_type": "identification.individual.passport",
        "question_data": {
          "question_text": "What is the purpose of this transaction?",
          "comment": "string",
          "document_ids": [
            "string"
          ]
        }
      }
    ]
  }'
{
  "id": "string"
}